%def_disable static

%define	TDSVER 7.0
%define	name freetds
%define	release alt3
%define	version 0.64

Name:		%name
Version:	%version
Release:	%release

Summary:	An OpenSource implementation of the tubular data stream protocol. 
License:	GPL/LGPL
Group:		System/Libraries
URL:		http://www.freetds.org/

Source0:	ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/current/%name-%version.tar.bz2
Source1:	%name.sh
Source2:	%name.csh

# Automatically added by buildreq on Mon Jan 14 2008
BuildRequires: libncurses-devel libreadline-devel libunixODBC-devel

%if_enabled static
BuildRequires: glibc-devel-static
%endif


%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.

This package is built with support of TDS version %TDSVER.

%package -n lib%name
Summary:	An OpenSource implementation of the tubular data stream protocol. 
License:	GPL/LGPL
Group:		System/Libraries
Provides:	%name

%description -n lib%name
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-unixodbc
Summary:	FreeTDS driver for unixODBC. 
License:	GPL/LGPL
Group:		System/Libraries
Provides:	%name

%description -n lib%name-unixodbc
FreeTDS driver for unixODBC. FreeTDS is a free (open source) implementation
of Sybase's db-lib, ct-lib, and ODBC libraries. Currently, dblib and ctlib
are most mature. Both of these libraries have several programs know to compile
and run against them.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-devel
Summary: 	An OpenSource implementation of the TDS protocol. Development files.
License:	GPL/LGPL
Group: 		Development/C
PreReq:		lib%name = %version-%release
Provides:	%name-devel

%description -n lib%name-devel
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-devel-static
Summary: 	An OpenSource implementation of the TDS protocol. Static libraries.
License:	GPL/LGPL
Group: 		Development/C
PreReq:		lib%name-devel = %version-%release
Provides:	%name-devel-static

%description -n lib%name-devel-static
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries. Package with static libraries.

This package is built with support for TDS version %TDSVER.


%package -n %name-utils
Summary:	An OpenSource implementation of the TDS protocol. Utilities.
License:	GPL/LGPL
Group:		Databases
PreReq:		lib%name = %version-%release
Provides:	%name-utils

%description -n %name-utils
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.

This package is built with support for TDS version %TDSVER and contains some
useful utilities.


%prep

%setup -q
#patch0 -p1

%build
%configure \
	--sysconfdir=%_sysconfdir/%name \
	--with-tdsver=%TDSVER \
	--enable-odbc \
	--enable-threadsafe \
	--enable-sybase-compat \
	%{subst_enable static}


%make_build

%install
make install DESTDIR=%buildroot


%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%post -n lib%name-unixodbc
%post_ldconfig

%postun -n lib%name-unixodbc
%postun_ldconfig


%files -n lib%name
%_libdir/libct.so.4*
%_libdir/libsybdb.so.5*
%_libdir/libtds.so.5*
%_libdir/libtdssrv.so.2*
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/freetds.conf
%config(noreplace) %_sysconfdir/%name/locales.conf

%files -n lib%name-unixodbc
%_libdir/libtdsodbc.so.0*


%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n %name-utils
%config(noreplace) %_sysconfdir/%name/pool.conf
%_bindir/freebcp
%_bindir/tdspool
%_bindir/tsql
%_bindir/bsqldb
%_bindir/defncopy
%_bindir/datacopy
%_man1dir/datacopy.1.gz
%_man1dir/bsqldb.1.gz
%_man1dir/defncopy.1.gz
%_man1dir/freebcp.1*
%_man1dir/tsql.1*
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*

%changelog
* Thu Jan 24 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 0.64-alt3
- add configdir and configuration files, messed in alt2

* Mon Jan 14 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 0.64-alt2
- enable FreeTDS driver for unixODBC
- add libfreetds-unixodbc package

* Sat Dec 08 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 0.64-alt1
- new version -- 0.64

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.63-alt1.1.0
- Automated rebuild.

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.63-alt1.1
- Rebuilt with libreadline.so.5.

* Tue May 24 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 0.63-alt1
- new version -- 0.63
- do not build devel-static subpackage by default

* Tue Dec 21 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 0.62.4-alt1
- new version -- 0.62.4

* Sat May 22 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 0.62.3-alt1
- new version -- 0.62.3

* Mon Dec 15 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.61-alt2
- remove *.la files from package

* Wed Mar 05 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.61-alt1
- new version of FreeTDS -- 0.61

* Wed Oct 09 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 0.60-alt1
- new version of FreeTDS

* Thu Mar 26 2002 Dmitry Lebkov <dima@sakhalin.ru> 0.53-alt1
- Package for ALT Linux
